Loading...
Searching...
No Matches
bsoncxx::builder::concatenate_doc Struct Reference

`#include <bsoncxx/v_noabi/bsoncxx/builder/concatenate.hpp>`

## Description

Container to concatenate a document.

Use this with a document builder to merge an existing document's fields with that of the document being built.

## Public Member Functions

| operator document::view () const
| Conversion operator that provides a view of the wrapped concatenate document.
document::view | view () const
| Accessor that provides a view of the wrapped concatenate document.

## Member Function Documentation

## operator document::view()

bsoncxx::v_noabi::builder::concatenate_doc::operator document::view | ( |  | ) | const

inline

Conversion operator that provides a view of the wrapped concatenate document.

Returns
  A view of the wrapped concatenate document.

## view()

document::view bsoncxx::v_noabi::builder::concatenate_doc::view | ( |  | ) | const

inline

Accessor that provides a view of the wrapped concatenate document.

Returns
  A view of the wrapped concatenate document.

The documentation for this struct was generated from the following file:

- bsoncxx/v_noabi/bsoncxx/builder/concatenate.hpp